org.keycloak.dom.saml.v2.metadata

## Class RequestedAttributeType

- java.lang.Object
- - org.keycloak.dom.saml.v2.assertion.AttributeType
  - - org.keycloak.dom.saml.v2.metadata.RequestedAttributeType

- All Implemented Interfaces:
    Serializable

      public class RequestedAttributeType
      extends AttributeType

  Java class for RequestedAttributeType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RequestedAttributeType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:assertion}AttributeType">
             <attribute name="isRequired" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `isRequired`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.assertion.AttributeType

      `attributeValue, friendlyName, name, nameFormat`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestedAttributeType(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `isIsRequired()` Gets the value of the isRequired property.
    `void` | `setIsRequired(Boolean value)` Sets the value of the isRequired property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.assertion.AttributeType

      `addAttributeValue, getAttributeValue, getFriendlyName, getName, getNameFormat, getOtherAttributes, removeAttributeValue, setFriendlyName, setName, setNameFormat`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isRequired

          protected Boolean isRequired

  - ### Constructor Detail

    - #### RequestedAttributeType

          public RequestedAttributeType(String name)

  - ### Method Detail

    - #### isIsRequired

          public Boolean isIsRequired()

      Gets the value of the isRequired property.
      Returns:
        possible object is `Boolean`

    - #### setIsRequired

          public void setIsRequired(Boolean value)

      Sets the value of the isRequired property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2016 JBoss by Red Hat. All rights reserved.